package com.jiayue.ssi.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.jiayue.ssi.entity.SysOperLog;

/**
 * 操作日志 服务层
 *
 * @author ruoyi
 */
public interface SysOperLogService extends IService<SysOperLog> {
    /**
     * 新增操作日志
     *
     * @param operLog 操作日志对象
     */
    void insertOperlog(SysOperLog operLog);
    /**
     * 删除操作日志
     * @param operId
     * @return
     */
    boolean removeOperlogById(Long operId);
    /**
     * 清空操作日志
     */
    boolean cleanOperLog();
    /**
     * 批量真实删除操作日志
     * @param operIds 主键id集合
     * @return
     */
    boolean deleteOperLogByIds(Long[] operIds);
}
